Add Authentication mode filter in the Users admin page
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Description

This is something we need for your own usage, and I thought I could share it with the community.

I did it as a patch rather than a plugin, maybe I'll switch to a plugin at a later stage.

The patch adds a filter in the Users page of the Administration section.

This filter contains "All" for any authentication mode, "Internal" for users defined in Redmine only, and lists all defined LDAP

authentication sources.

It can be useful when many users are defined, and the admin wants to understand easily where the accounts are coming from (there

is no column for that), or filter users from a given source only.

Related issues:

Related to Redmine - Feature #18193: Add ability to filter users list by Auth... Closed

Related to Redmine - Feature #37674: Upgrade Admin/Users list to use the quer... Closed

History

#1 - 2016-08-31 11:34 - Jaap de Haan

Relates to #18193

#2 - 2016-09-15 08:39 - Toshi MARUYAMA

- Related to Feature #18193: Add ability to filter users list by Authentication mode added

#3 - 2022-09-20 05:55 - Go MAEDA

- Status changed from New to Closed

"Authentication mode" will be available in Redmine 5.1.0. See #37674 for details.

#4 - 2022-09-20 05:55 - Go MAEDA

- Related to Feature #37674: Upgrade Admin/Users list to use the query system added

Files
